pwa:

    image_processor: 'pwa.image_processor.gd'
    favicons:
        enabled: true
        src: '%kernel.project_dir%/public/provider/images/favicon.png'

    serviceworker:
        enabled: true
        skip_waiting: true
        workbox:
            cache_manifest: true
            asset_cache:
                enabled: true
                regex: '/\.(css|js|json|xml|txt|map|ico|png|jpe?g|gif|svg|webp|bmp)$/'
            image_cache:
                enabled: true
                max_age: 30 days
                max_entries: 200
                regex: '/\.(png|jpe?g|svg|webp)$/'
            font_cache:
                enabled: true
                max_entries: 10
                max_age: 30
            google_fonts:
                enabled: true
                cache_prefix: 'goolge-fonts'
                max_entries: 20
                max_age: 1
            config:
                use_cdn: false
    manifest:
        enabled: true
        name: "Réservation Lukikevent"
        short_name: "Réservation Lukikevent"
        start_url: "/"
        display: "standalone"
        background_color: "#ffffff"
        theme_color: "#f4c842"
        scope: "/"
        id: "/"
        dir: "ltr"
        lang: "fr"
        orientation: "portrait"
        description: "Application Intranet Ludikevent"
        categories: ['shopping']
        shortcuts:
            -   name: "Nos structures"
                short_name: "Nos structures"
                description: "Nos structures"
                url: "/catalogue"
                icons:
                    -   src: "%kernel.project_dir%/public/provider/images/favicon.png"
                        sizes: [ 96 ]
            -   name: "Nos structures"
                short_name: "Nos Formules"
                description: "Nos Formules"
                url: "/formules"
                icons:
                    -   src: "%kernel.project_dir%/public/provider/images/favicon.png"
                        sizes: [ 96 ]
            -   name: "Catalogue"
                short_name: "Catalogue"
                description: "Catalogue"
                url: "/images/Catalogue.pdf"
                icons:
                    -   src: "%kernel.project_dir%/public/provider/images/favicon.png"
                        sizes: [ 96 ]
        screenshots:
            -   src: "/provider/pwa/pwa1.png"
                form_factor: 'wide'
                label: "Accueil"
                height: 945
                width: 1896
            -   src: "/provider/pwa/pwa2.png"
                form_factor: "narrow"
                label: "Produit"
                height: 486
                width: 391
        icons:
            -   src: '%kernel.project_dir%/public/provider/images/favicon.png'
                sizes: [ 48 ]
            -   src: '%kernel.project_dir%/public/provider/images/favicon.png'
                sizes: [ 95 ]
            -   src: '%kernel.project_dir%/public/provider/images/favicon.png'
                sizes: [ 192 ]
            -   src: '%kernel.project_dir%/public/provider/images/favicon.png'
                sizes: [ 256 ]
            -   src: '%kernel.project_dir%/public/provider/images/favicon.png'
                sizes: [ 512 ]
